package org.tio.sitexxx.service.service.jpush.huawei.webpush;

import com.alibaba.fastjson.annotation.JSONField;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-02-21 11:08
 *    desc   :
 * </pre>
 */
public class WebActions {
    @JSONField(name = "action")
    private String action;

    @JSONField(name = "icon")
    private String icon;

    @JSONField(name = "title")
    private String title;

    public String getAction() {
        return action;
    }

    public String getIcon() {
        return icon;
    }

    public String getTitle() {
        return title;
    }

    public void check(){

    }

    public WebActions(Builder builder) {
        this.action = builder.action;
        this.icon = builder.icon;
        this.title = builder.title;
    }

    /**
     * builder
     */
    public static Builder builder() {
        return new Builder();
    }

    public static class Builder {
        private String action;
        private String icon;
        private String title;

        public Builder setAction(String action) {
            this.action = action;
            return this;
        }

        public Builder setIcon(String icon) {
            this.icon = icon;
            return this;
        }

        public Builder setTitle(String title) {
            this.title = title;
            return this;
        }

        public WebActions build() {
            return new WebActions(this);
        }
    }


}
